-- 6T_GE_Great_Scientists
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,											Kind)
VALUES	('GREAT_PERSON_INDIVIDUAL_JNR_MARIE_CURIE',		'KIND_GREAT_PERSON_INDIVIDUAL');
--------------------------------------------------------------

-- GreatPersonIndividuals
--------------------------------------------------------------
INSERT OR IGNORE INTO GreatPersonIndividuals
		(GreatPersonIndividualType,						Name,												GreatPersonClassType,			EraType,		Gender,	ActionCharges,	ActionRequiresCompletedDistrictType)
VALUES	('GREAT_PERSON_INDIVIDUAL_JNR_MARIE_CURIE',		'LOC_GREAT_PERSON_INDIVIDUAL_JNR_MARIE_CURIE_NAME',	'GREAT_PERSON_CLASS_SCIENTIST',	'ERA_MODERN',	'F',	1,				'DISTRICT_CAMPUS');

UPDATE	GreatPersonIndividuals
SET		ActionRequiresOwnedTile=1,
		ActionRequiresAdjacentMountain=0,
		ActionRequiresCompletedDistrictType='DISTRICT_WONDER',
		ActionEffectTextOverride='LOC_GREATPERSON_GALILEO_GALILEI_ACTIVE_JNR_EXPLORER'
WHERE	GreatPersonIndividualType='GREAT_PERSON_INDIVIDUAL_GALILEO_GALILEI';

UPDATE	GreatPersonIndividuals
SET		EraType='ERA_INDUSTRIAL'
WHERE	GreatPersonIndividualType='GREAT_PERSON_INDIVIDUAL_ALFRED_NOBEL';

UPDATE	GreatPersonIndividuals
SET		ActionRequiresOwnedTile=1,
		ActionRequiresOnOrAdjacentFeatureType=NULL,
		ActionRequiresCompletedDistrictType='DISTRICT_CAMPUS',
		ActionEffectTextOverride='LOC_GREATPERSON_JANAKI_AMMAL_ACTIVE_JNR_EXPLORER'
WHERE	GreatPersonIndividualType='GREAT_PERSON_INDIVIDUAL_JANAKI_AMMAL';
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,									ModifierType,											RunOnce,	Permanent)
VALUES	('GREAT_PERSON_JNR_BOOST_OR_GRANT_ASTRONOMY',	'MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST',			1,			1),
		('GREAT_PERSON_JNR_BOOST_SCIENTIFIC_THEORY',	'MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST',			1,			1),
		('GREATPERSON_JNR_1INDUSTRIALMODERNTECHBOOST',	'MODIFIER_PLAYER_GRANT_RANDOM_TECHNOLOGY_BOOST_BY_ERA',	1,			1),
		('GREATPERSON_JNR_2MODERNATOMICTECHBOOSTS',		'MODIFIER_PLAYER_GRANT_RANDOM_TECHNOLOGY_BOOST_BY_ERA',	1,			1),
		('GREATPERSON_JNR_REVEAL_URANIUM',				'MODIFIER_PLAYER_GRANT_FREE_RESOURCE_VISIBILITY',		1,			1),
		('GREAT_PERSON_JNR_BOOST_OFFWORLD_MISSION',		'MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST',			1,			1),
		('GREATPERSON_JNR_1INFORMATIONTECHBOOST',		'MODIFIER_PLAYER_GRANT_RANDOM_TECHNOLOGY_BOOST_BY_ERA',	1,			1);

UPDATE Modifiers SET SubjectRequirementSetId='JNR_WONDER_IS_RENAISSANCE_OR_LATER' WHERE ModifierId='GREAT_PERSON_JNR_BOOST_SCIENTIFIC_THEORY';
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,									Name,					Value)
VALUES	('GREAT_PERSON_JNR_BOOST_OR_GRANT_ASTRONOMY',	'TechType',				'TECH_ASTRONOMY'),
		('GREAT_PERSON_JNR_BOOST_OR_GRANT_ASTRONOMY',	'GrantTechIfBoosted',	1),

		('GREAT_PERSON_JNR_BOOST_SCIENTIFIC_THEORY',	'TechType',				'TECH_SCIENTIFIC_THEORY'),

		('GREATPERSON_JNR_1INDUSTRIALMODERNTECHBOOST',	'StartEraType',			'ERA_INDUSTRIAL'),
		('GREATPERSON_JNR_1INDUSTRIALMODERNTECHBOOST',	'EndEraType',			'ERA_MODERN'),
		('GREATPERSON_JNR_1INDUSTRIALMODERNTECHBOOST',	'Amount',				1),

		('GREATPERSON_JNR_2MODERNATOMICTECHBOOSTS',		'StartEraType',			'ERA_MODERN'),
		('GREATPERSON_JNR_2MODERNATOMICTECHBOOSTS',		'EndEraType',			'ERA_ATOMIC'),
		('GREATPERSON_JNR_2MODERNATOMICTECHBOOSTS',		'Amount',				2),

		('GREATPERSON_JNR_REVEAL_URANIUM',				'ResourceType',			'RESOURCE_URANIUM'),

		('GREAT_PERSON_JNR_BOOST_OFFWORLD_MISSION',		'TechType',				'TECH_OFFWORLD_MISSION'),

		('GREATPERSON_JNR_1INFORMATIONTECHBOOST',		'StartEraType',			'ERA_INFORMATION'),
		('GREATPERSON_JNR_1INFORMATIONTECHBOOST',		'EndEraType',			'ERA_INFORMATION'),
		('GREATPERSON_JNR_1INFORMATIONTECHBOOST',		'Amount',				1);
--------------------------------------------------------------

-- ModifierStrings
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierStrings
		(ModifierId,									Context,	Text)
VALUES	('GREATPERSON_JNR_1INDUSTRIALMODERNTECHBOOST',	'Summary',	'LOC_GREATPERSON_JNR_1INDUSTRIALMODERNTECHBOOST'),
		('GREATPERSON_JNR_2MODERNATOMICTECHBOOSTS',		'Summary',	'LOC_GREATPERSON_JNR_2MODERNATOMICTECHBOOSTS'),
		('GREATPERSON_JNR_REVEAL_URANIUM',				'Summary',	'LOC_GREATPERSON_JNR_REVEAL_URANIUM');
--------------------------------------------------------------

-- GreatPersonIndividualActionModifiers
--------------------------------------------------------------
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType='GREAT_PERSON_INDIVIDUAL_GALILEO_GALILEI'	AND ModifierId LIKE 'GREATPERSON_ADJACENT_%MOUNTAIN_SCIENCE';
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType='GREAT_PERSON_INDIVIDUAL_JANAKI_AMMAL'		AND ModifierId='GREATPERSON_ADJACENT_RAINFOREST_SCIENCE';

INSERT OR IGNORE INTO GreatPersonIndividualActionModifiers
		(GreatPersonIndividualType,						AttachmentTargetType,										ModifierId)
VALUES	('GREAT_PERSON_INDIVIDUAL_GALILEO_GALILEI',		'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_DISTRICT_IN_TILE',	'GREAT_PERSON_JNR_BOOST_OR_GRANT_ASTRONOMY'),
		('GREAT_PERSON_INDIVIDUAL_GALILEO_GALILEI',		'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_DISTRICT_IN_TILE',	'GREAT_PERSON_JNR_BOOST_SCIENTIFIC_THEORY'),
		('GREAT_PERSON_INDIVIDUAL_JNR_MARIE_CURIE',		'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_DISTRICT_IN_TILE',	'GREATPERSON_JNR_2MODERNATOMICTECHBOOSTS'),
		('GREAT_PERSON_INDIVIDUAL_JNR_MARIE_CURIE',		'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_DISTRICT_IN_TILE',	'GREATPERSON_JNR_REVEAL_URANIUM'),
		('GREAT_PERSON_INDIVIDUAL_JANAKI_AMMAL',		'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_DISTRICT_IN_TILE',	'GREAT_PERSON_JNR_BOOST_OFFWORLD_MISSION'),
		('GREAT_PERSON_INDIVIDUAL_JANAKI_AMMAL',		'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_DISTRICT_IN_TILE',	'GREATPERSON_JNR_1INFORMATIONTECHBOOST');

UPDATE GreatPersonIndividualActionModifiers SET ModifierId='GREATPERSON_JNR_1INDUSTRIALMODERNTECHBOOST' WHERE GreatPersonIndividualType='GREAT_PERSON_INDIVIDUAL_ALFRED_NOBEL' AND ModifierId='GREATPERSON_1MODERNATOMICTECHBOOST';
--------------------------------------------------------------