-- 6T_GE_Policies
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,							Kind)
VALUES	('POLICY_JNR_CAPITULACIONES',	'KIND_POLICY'),
		('POLICY_JNR_TAXONOMY',			'KIND_POLICY'),
		('POLICY_JNR_FREEDOM_TO_ROAM',	'KIND_POLICY');
--------------------------------------------------------------

-- Policies
--------------------------------------------------------------
INSERT OR IGNORE INTO Policies
		(PolicyType,					Name,									Description,									GovernmentSlotType,		PrereqCivic)
VALUES	('POLICY_JNR_CAPITULACIONES',	'LOC_POLICY_JNR_CAPITULACIONES_NAME',	'LOC_POLICY_JNR_CAPITULACIONES_DESCRIPTION',	'SLOT_GREAT_PERSON',	'CIVIC_NAVAL_TRADITION'),
		('POLICY_JNR_TAXONOMY',			'LOC_POLICY_JNR_TAXONOMY_NAME',			'LOC_POLICY_JNR_TAXONOMY_DESCRIPTION',			'SLOT_GREAT_PERSON',	'CIVIC_COLONIALISM'),
		('POLICY_JNR_FREEDOM_TO_ROAM',	'LOC_POLICY_JNR_FREEDOM_TO_ROAM_NAME',	'LOC_POLICY_JNR_FREEDOM_TO_ROAM_DESCRIPTION',	'SLOT_GREAT_PERSON',	'CIVIC_CULTURAL_HERITAGE');

UPDATE Policies SET Description='LOC_POLICY_JNR_FREEDOM_TO_ROAM_DESCRIPTION_PRESERVE' WHERE PolicyType='POLICY_JNR_FREEDOM_TO_ROAM' AND EXISTS (SELECT * FROM Buildings WHERE BuildingType='BUILDING_SANCTUARY');
--------------------------------------------------------------

-- ObsoletePolicies
--------------------------------------------------------------
INSERT OR IGNORE INTO ObsoletePolicies
		(PolicyType,					ObsoletePolicy,					RequiresAvailableGreatPersonClass)
VALUES	('POLICY_JNR_CAPITULACIONES',	'POLICY_JNR_TAXONOMY',			'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('POLICY_JNR_CAPITULACIONES',	'POLICY_JNR_FREEDOM_TO_ROAM',	'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('POLICY_JNR_TAXONOMY',			NULL,							'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('POLICY_JNR_FREEDOM_TO_ROAM',	NULL,							'GREAT_PERSON_CLASS_JNR_EXPLORER');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,								ModifierType,										SubjectRequirementSetId)
VALUES	('JNR_CAPITULACIONES_GREATEXPLORERTPOINTS',	'MODIFIER_PLAYER_ADJUST_GREAT_PERSON_POINTS',		NULL),
		('JNR_TAXONOMY_EXPLORER_UNIVERSITY',		'MODIFIER_PLAYER_CITIES_ADJUST_GREAT_PERSON_POINT',	'BUILDING_IS_CAMPUS_TIER2_JNR'),
		('JNR_TAXONOMY_EXPLORER_ZOO',				'MODIFIER_PLAYER_CITIES_ADJUST_GREAT_PERSON_POINT',	'BUILDING_IS_ENTERTAINMENT_TIER2_LAND_JNR'),
		('JNR_TAXONOMY_EXPLORER_AQUARIUM',			'MODIFIER_PLAYER_CITIES_ADJUST_GREAT_PERSON_POINT',	'BUILDING_IS_ENTERTAINMENT_TIER2_WATER_JNR'),
		('JNR_FREEDOMTOROAM_GREATEXPLORERTPOINTS',	'MODIFIER_PLAYER_ADJUST_GREAT_PERSON_POINTS',		NULL),
		('JNR_FREEDOMTOROAM_EXPLORER_NATIONALPARK',	'MODIFIER_PLAYER_CITIES_ADJUST_GREAT_PERSON_POINT',	'CITY_HAS_NATIONAL_PARK_REQUREMENTS'),
		('JNR_FREEDOMTOROAM_EXPLORER_BOARDWALK',	'MODIFIER_PLAYER_CITIES_ADJUST_GREAT_PERSON_POINT',	'BUILDING_IS_HARBOR_TIER3_JNR');

INSERT OR IGNORE INTO Modifiers
		(ModifierId,								ModifierType,										SubjectRequirementSetId)
SELECT	'JNR_FREEDOMTOROAM_EXPLORER_SANCTUARY',		'MODIFIER_PLAYER_CITIES_ADJUST_GREAT_PERSON_POINT',	'BUILDING_IS_PRESERVE_TIER2_JNR'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,					Value)
VALUES	('JNR_CAPITULACIONES_GREATEXPLORERTPOINTS',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('JNR_CAPITULACIONES_GREATEXPLORERTPOINTS',	'Amount',				2),

		('JNR_TAXONOMY_EXPLORER_UNIVERSITY',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('JNR_TAXONOMY_EXPLORER_UNIVERSITY',		'Amount',				2),
		('JNR_TAXONOMY_EXPLORER_ZOO',				'GreatPersonClassType',	'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('JNR_TAXONOMY_EXPLORER_ZOO',				'Amount',				4),
		('JNR_TAXONOMY_EXPLORER_AQUARIUM',			'GreatPersonClassType',	'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('JNR_TAXONOMY_EXPLORER_AQUARIUM',			'Amount',				4),

		('JNR_FREEDOMTOROAM_GREATEXPLORERTPOINTS',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('JNR_FREEDOMTOROAM_GREATEXPLORERTPOINTS',	'Amount',				4),
		('JNR_FREEDOMTOROAM_EXPLORER_NATIONALPARK',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('JNR_FREEDOMTOROAM_EXPLORER_NATIONALPARK',	'Amount',				4),
		('JNR_FREEDOMTOROAM_EXPLORER_BOARDWALK',	'GreatPersonClassType',	'GREAT_PERSON_CLASS_JNR_EXPLORER'),
		('JNR_FREEDOMTOROAM_EXPLORER_BOARDWALK',	'Amount',				4);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,					Value)
SELECT	'JNR_FREEDOMTOROAM_EXPLORER_SANCTUARY',		'GreatPersonClassType',	'GREAT_PERSON_CLASS_JNR_EXPLORER'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,					Value)
SELECT	'JNR_FREEDOMTOROAM_EXPLORER_SANCTUARY',		'Amount',				4
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';
--------------------------------------------------------------

-- PolicyModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,					ModifierId)
VALUES	('POLICY_JNR_CAPITULACIONES',	'JNR_CAPITULACIONES_GREATEXPLORERTPOINTS'),
		('POLICY_JNR_TAXONOMY',			'JNR_TAXONOMY_EXPLORER_UNIVERSITY'),
		('POLICY_JNR_TAXONOMY',			'JNR_TAXONOMY_EXPLORER_ZOO'),
		('POLICY_JNR_TAXONOMY',			'JNR_TAXONOMY_EXPLORER_AQUARIUM'),
		('POLICY_JNR_FREEDOM_TO_ROAM',	'JNR_FREEDOMTOROAM_GREATEXPLORERTPOINTS'),
		('POLICY_JNR_FREEDOM_TO_ROAM',	'JNR_FREEDOMTOROAM_EXPLORER_NATIONALPARK'),
		('POLICY_JNR_FREEDOM_TO_ROAM',	'JNR_FREEDOMTOROAM_EXPLORER_BOARDWALK');

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,					ModifierId)
SELECT	'POLICY_JNR_FREEDOM_TO_ROAM',	'JNR_FREEDOMTOROAM_EXPLORER_SANCTUARY'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';

DELETE FROM PolicyModifiers WHERE ModifierId='JNR_FREEDOMTOROAM_GREATEXPLORERTPOINTS' AND EXISTS (SELECT * FROM Buildings WHERE BuildingType='BUILDING_SANCTUARY');
--------------------------------------------------------------