-- 6T_GE_Type_Base
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,													Kind)
VALUES	('PSEUDOYIELD_GPP_JNR_EXPLORER',						'KIND_PSEUDOYIELD'),
		('UNIT_JNR_GREAT_EXPLORER',								'KIND_UNIT'),
		('GREAT_PERSON_CLASS_JNR_EXPLORER',						'KIND_GREAT_PERSON_CLASS'),
		('MODIFIER_PLAYER_GRANT_YIELD_PER_EXCESS_LUXURIES',		'KIND_MODIFIER'),
		('MODIFIER_PLAYER_GRANT_TOURISM_PER_EXCESS_LUXURIES',	'KIND_MODIFIER'),
		('MODIFIER_CITY_GRANT_YIELD_PER_FEATURE_TYPE',			'KIND_MODIFIER');
--------------------------------------------------------------

-- PseudoYields
--------------------------------------------------------------
INSERT OR IGNORE INTO PseudoYields
		(PseudoYieldType,					DefaultValue)
VALUES	('PSEUDOYIELD_GPP_JNR_EXPLORER',	0.5);
--------------------------------------------------------------

-- Units
--------------------------------------------------------------
INSERT OR IGNORE INTO Units
		(
		UnitType,
		Name,
		Description,
		Cost,
		BaseMoves,
		BaseSightRange,
		ZoneOfControl,
		Domain,
		FormationClass,
		CanCapture,
		CanRetreatWhenCaptured,
		CanTrain
		)
VALUES	(
		'UNIT_JNR_GREAT_EXPLORER',
		'LOC_UNIT_JNR_GREAT_EXPLORER_NAME',
		'LOC_UNIT_JNR_GREAT_EXPLORER_DESCRIPTION',
		1,
		4,
		2,
		0,
		'DOMAIN_LAND',
		'FORMATION_CLASS_CIVILIAN',
		0,
		1,
		0
		);
--------------------------------------------------------------

-- Units_XP2
--------------------------------------------------------------
INSERT OR IGNORE INTO Units_XP2
		(UnitType,					CanEarnExperience,	CanFormMilitaryFormation)
VALUES	('UNIT_JNR_GREAT_EXPLORER',	0,					0);
--------------------------------------------------------------

-- UnitAiInfos
--------------------------------------------------------------
INSERT OR IGNORE INTO UnitAiInfos
		(UnitType,					AiType)
VALUES	('UNIT_JNR_GREAT_EXPLORER',	'UNITTYPE_CIVILIAN'),
		('UNIT_JNR_GREAT_EXPLORER',	'UNITTYPE_NAVAL'),
		('UNIT_JNR_GREAT_EXPLORER',	'UNITAI_EXPLORE');
--------------------------------------------------------------

-- GreatPersonClasses
--------------------------------------------------------------
INSERT OR IGNORE INTO GreatPersonClasses
		(
		GreatPersonClassType,
		Name,
		UnitType,
		DistrictType,
		PseudoYieldType,
		IconString,
		ActionIcon
		)
VALUES	(
		'GREAT_PERSON_CLASS_JNR_EXPLORER',
		'LOC_GREAT_PERSON_CLASS_JNR_EXPLORER_NAME',
		'UNIT_JNR_GREAT_EXPLORER',
		'DISTRICT_CAMPUS',
		'PSEUDOYIELD_GPP_ADMIRAL',
		'[ICON_JNR_GreatExplorer]',
		'ICON_UNITOPERATION_JNR_EXPLORER_ACTION'
		);
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,											CollectionType,		EffectType)
VALUES	('MODIFIER_PLAYER_GRANT_YIELD_PER_EXCESS_LUXURIES',		'COLLECTION_OWNER',	'EFFECT_GRANT_YIELD_PER_EXCESS_LUXURIES'),
		('MODIFIER_PLAYER_GRANT_TOURISM_PER_EXCESS_LUXURIES',	'COLLECTION_OWNER',	'EFFECT_GRANT_TOURISM_PER_EXCESS_LUXURIES'),
		('MODIFIER_CITY_GRANT_YIELD_PER_FEATURE_TYPE',			'COLLECTION_OWNER',	'EFFECT_GRANT_YIELD_PER_FEATURE_IN_CITY');
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,									RequirementType,						Inverse)
VALUES	('REQUIRES_OWNER_TILE_JNR',						'REQUIREMENT_PLOT_ADJACENT_TO_OWNER',	0),
		('REQUIRES_CITY_HAS_NO_FLOODPLAINS_JNR',		'REQUIREMENT_CITY_HAS_FEATURE',			1),
		('REQUIRES_CITY_HAS_NO_FLOODPLAINS_GRASS_JNR',	'REQUIREMENT_CITY_HAS_FEATURE',			1),
		('REQUIRES_CITY_HAS_NO_FLOODPLAINS_PLAINS_JNR',	'REQUIREMENT_CITY_HAS_FEATURE',			1),

		('REQUIRES_CITY_HAS_ICE_JNR',					'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_JUNGLE_JNR',				'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_FOREST_JNR',				'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_OASIS_JNR',					'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_MARSH_JNR',					'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_REEF_JNR',					'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_FLOODPLAINS_JNR',			'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_FLOODPLAINS_GRASS_JNR',		'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_FLOODPLAINS_PLAINS_JNR',	'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_VOLCANO_JNR',				'REQUIREMENT_CITY_HAS_FEATURE',			0),
		('REQUIRES_CITY_HAS_VOLCANIC_SOIL_JNR',			'REQUIREMENT_CITY_HAS_FEATURE',			0),

		('REQUIRES_CITY_HAS_3_TUNDRA_JNR',				'REQUIREMENT_CITY_HAS_X_TERRAIN_TYPE',	0),
		('REQUIRES_CITY_HAS_3_SNOW_JNR',				'REQUIREMENT_CITY_HAS_X_TERRAIN_TYPE',	0),
		('REQUIRES_CITY_HAS_3_OCEAN_JNR',				'REQUIREMENT_CITY_HAS_X_TERRAIN_TYPE',	0),

		('REQUIRES_WONDER_IS_RENAISSANCE_OR_LATER_JNR',	'REQUIREMENT_PLOT_WONDER_IS_ERA',		1),

		('REQUIRES_CITY_HAS_ZOO_JNR',					'REQUIREMENT_CITY_HAS_BUILDING',		0),
		('REQUIRES_CITY_HAS_AQUARIUM_JNR',				'REQUIREMENT_CITY_HAS_BUILDING',		0);

INSERT OR IGNORE INTO Requirements
		(RequirementId,									RequirementType)
SELECT	'REQUIRES_CITY_HAS_SANCTUARY_JNR',				'REQUIREMENT_CITY_HAS_BUILDING'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,									Name,			Value)
VALUES	('REQUIRES_OWNER_TILE_JNR',						'MinDistance',	0),
		('REQUIRES_OWNER_TILE_JNR',						'MaxDistance',	1),

		('REQUIRES_CITY_HAS_NO_FLOODPLAINS_JNR',		'FeatureType',	'FEATURE_FLOODPLAINS'),
		('REQUIRES_CITY_HAS_NO_FLOODPLAINS_GRASS_JNR',	'FeatureType',	'FEATURE_FLOODPLAINS_GRASSLAND'),
		('REQUIRES_CITY_HAS_NO_FLOODPLAINS_PLAINS_JNR',	'FeatureType',	'FEATURE_FLOODPLAINS_PLAINS'),
		
		('REQUIRES_CITY_HAS_ICE_JNR',					'FeatureType',	'FEATURE_ICE'),
		('REQUIRES_CITY_HAS_JUNGLE_JNR',				'FeatureType',	'FEATURE_JUNGLE'),
		('REQUIRES_CITY_HAS_FOREST_JNR',				'FeatureType',	'FEATURE_FOREST'),
		('REQUIRES_CITY_HAS_OASIS_JNR',					'FeatureType',	'FEATURE_OASIS'),
		('REQUIRES_CITY_HAS_MARSH_JNR',					'FeatureType',	'FEATURE_MARSH'),
		('REQUIRES_CITY_HAS_REEF_JNR',					'FeatureType',	'FEATURE_REEF'),
		('REQUIRES_CITY_HAS_FLOODPLAINS_JNR',			'FeatureType',	'FEATURE_FLOODPLAINS'),
		('REQUIRES_CITY_HAS_FLOODPLAINS_GRASS_JNR',		'FeatureType',	'FEATURE_FLOODPLAINS_GRASSLAND'),
		('REQUIRES_CITY_HAS_FLOODPLAINS_PLAINS_JNR',	'FeatureType',	'FEATURE_FLOODPLAINS_PLAINS'),
		('REQUIRES_CITY_HAS_VOLCANO_JNR',				'FeatureType',	'FEATURE_VOLCANO'),
		('REQUIRES_CITY_HAS_VOLCANIC_SOIL_JNR',			'FeatureType',	'FEATURE_VOLCANIC_SOIL'),

		('REQUIRES_CITY_HAS_3_TUNDRA_JNR',				'TerrainType',	'TERRAIN_TUNDRA'),
		('REQUIRES_CITY_HAS_3_TUNDRA_JNR',				'Hills',		1),
		('REQUIRES_CITY_HAS_3_TUNDRA_JNR',				'Amount',		3),
		('REQUIRES_CITY_HAS_3_SNOW_JNR',				'TerrainType',	'TERRAIN_SNOW'),
		('REQUIRES_CITY_HAS_3_SNOW_JNR',				'Hills',		1),
		('REQUIRES_CITY_HAS_3_SNOW_JNR',				'Amount',		3),
		('REQUIRES_CITY_HAS_3_OCEAN_JNR',				'TerrainType',	'TERRAIN_OCEAN'),
		('REQUIRES_CITY_HAS_3_OCEAN_JNR',				'Hills',		0),
		('REQUIRES_CITY_HAS_3_OCEAN_JNR',				'Amount',		3),

		('REQUIRES_WONDER_IS_RENAISSANCE_OR_LATER_JNR',	'EarliestEra',	'ERA_ANCIENT'),
		('REQUIRES_WONDER_IS_RENAISSANCE_OR_LATER_JNR',	'LatestEra',	'ERA_MEDIEVAL'),

		('REQUIRES_CITY_HAS_ZOO_JNR',					'BuildingType',	'BUILDING_ZOO'),
		('REQUIRES_CITY_HAS_AQUARIUM_JNR',				'BuildingType',	'BUILDING_AQUARIUM');

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,									Name,			Value)
SELECT	'REQUIRES_CITY_HAS_SANCTUARY_JNR',				'BuildingType',	BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,								RequirementSetType)
VALUES	('JNR_EXPLORER_SAME_CITY',						'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_SAME_CITY_NO_FLOODPLAINS',		'REQUIREMENTSET_TEST_ALL'),
		
		('JNR_EXPLORER_CITY_HAS_ICE',					'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_JUNGLE',				'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_FOREST',				'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_OASIS',					'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_MARSH',					'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_REEF',					'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_FLOODPLAINS',			'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_FLOODPLAINS_GRASS',		'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_FLOODPLAINS_PLAINS',	'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_VOLCANO',				'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_CITY_HAS_VOLCANIC_SOIL',			'REQUIREMENTSET_TEST_ALL'),

		('JNR_EXPLORER_TUNDRA_REQUIREMENTS',			'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_SNOW_REQUIREMENTS',				'REQUIREMENTSET_TEST_ALL'),
		('JNR_EXPLORER_OCEAN_REQUIREMENTS',				'REQUIREMENTSET_TEST_ALL'),

		('JNR_WONDER_IS_RENAISSANCE_OR_LATER',			'REQUIREMENTSET_TEST_ALL'),

		('BUILDING_IS_CAMPUS_TIER2_JNR',				'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_ENTERTAINMENT_TIER2_LAND_JNR',	'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_ENTERTAINMENT_TIER2_WATER_JNR',	'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_HARBOR_TIER3_JNR',				'REQUIREMENTSET_TEST_ANY');
		
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,								RequirementSetType)
SELECT	'BUILDING_IS_PRESERVE_TIER2_JNR',				'REQUIREMENTSET_TEST_ANY'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,								RequirementId)
VALUES	('JNR_EXPLORER_SAME_CITY',						'REQUIRES_OWNER_TILE_JNR'),
		('JNR_EXPLORER_SAME_CITY_NO_FLOODPLAINS',		'REQUIRES_OWNER_TILE_JNR'),
		('JNR_EXPLORER_SAME_CITY_NO_FLOODPLAINS',		'REQUIRES_CITY_HAS_NO_FLOODPLAINS_JNR'),
		('JNR_EXPLORER_SAME_CITY_NO_FLOODPLAINS',		'REQUIRES_CITY_HAS_NO_FLOODPLAINS_GRASS_JNR'),
		('JNR_EXPLORER_SAME_CITY_NO_FLOODPLAINS',		'REQUIRES_CITY_HAS_NO_FLOODPLAINS_PLAINS_JNR'),

		('JNR_EXPLORER_CITY_HAS_ICE',					'REQUIRES_CITY_HAS_ICE_JNR'),
		('JNR_EXPLORER_CITY_HAS_JUNGLE',				'REQUIRES_CITY_HAS_JUNGLE_JNR'),
		('JNR_EXPLORER_CITY_HAS_FOREST',				'REQUIRES_CITY_HAS_FOREST_JNR'),
		('JNR_EXPLORER_CITY_HAS_OASIS',					'REQUIRES_CITY_HAS_OASIS_JNR'),
		('JNR_EXPLORER_CITY_HAS_MARSH',					'REQUIRES_CITY_HAS_MARSH_JNR'),
		('JNR_EXPLORER_CITY_HAS_REEF',					'REQUIRES_CITY_HAS_REEF_JNR'),
		('JNR_EXPLORER_CITY_HAS_FLOODPLAINS',			'REQUIRES_CITY_HAS_FLOODPLAINS_JNR'),
		('JNR_EXPLORER_CITY_HAS_FLOODPLAINS_GRASS',		'REQUIRES_CITY_HAS_FLOODPLAINS_GRASS_JNR'),
		('JNR_EXPLORER_CITY_HAS_FLOODPLAINS_PLAINS',	'REQUIRES_CITY_HAS_FLOODPLAINS_PLAINS_JNR'),
		('JNR_EXPLORER_CITY_HAS_VOLCANO',				'REQUIRES_CITY_HAS_VOLCANO_JNR'),
		('JNR_EXPLORER_CITY_HAS_VOLCANIC_SOIL',			'REQUIRES_CITY_HAS_VOLCANIC_SOIL_JNR'),

		('JNR_EXPLORER_TUNDRA_REQUIREMENTS',			'REQUIRES_CITY_HAS_3_TUNDRA_JNR'),
		('JNR_EXPLORER_SNOW_REQUIREMENTS',				'REQUIRES_CITY_HAS_3_SNOW_JNR'),
		('JNR_EXPLORER_OCEAN_REQUIREMENTS',				'REQUIRES_CITY_HAS_3_OCEAN_JNR'),

		('JNR_WONDER_IS_RENAISSANCE_OR_LATER',			'REQUIRES_WONDER_IS_RENAISSANCE_OR_LATER_JNR'),

		('BUILDING_IS_CAMPUS_TIER2_JNR',				'REQUIRES_CITY_HAS_UNIVERSITY'),
		('BUILDING_IS_ENTERTAINMENT_TIER2_LAND_JNR',	'REQUIRES_CITY_HAS_ZOO_JNR'),
		('BUILDING_IS_ENTERTAINMENT_TIER2_WATER_JNR',	'REQUIRES_CITY_HAS_AQUARIUM_JNR'),
		('BUILDING_IS_HARBOR_TIER3_JNR',				'REQUIRES_CITY_HAS_SEAPORT');

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,								RequirementId)
SELECT	'BUILDING_IS_PRESERVE_TIER2_JNR',				'REQUIRES_CITY_HAS_SANCTUARY_JNR'
FROM	Buildings
WHERE	BuildingType='BUILDING_SANCTUARY';
--------------------------------------------------------------